Subject: bug#34435: closed (Re: [PATCH 3/3] gnu: Add kscreenlocker.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Feb 2019 23:03:02 +0000

Your bug report

#34435: [PATCH 0/3] KDE updates

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34435: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34435
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 3/3] gnu: Add kscreenlocker.
From: Marius Bakke <[email-masked]>
To: Hartmut Goebel <[email-masked]>, [email-masked]
Date: Wed, 13 Feb 2019 00:02:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hartmut Goebel <[email-masked]> writes:

> Am 11.02.19 um 16:18 schrieb Marius Bakke:
>> +    (native-inputs
>> +     `(("extra-cmake-modules" ,extra-cmake-modules)
>> +       ("pkg-config" ,pkg-config)
>> +
>
> Empty line.

I like adding empty lines to "group" inputs, or as a separator to make
some things "stand out".

>> +       ("logind" ,elogind)        ;optional loginctl support
>
> According to my notes (for 5.13.5) this is a run-time dependency. Why do
> we need to list it here and not later in some "service"?

CMake tests for it, and sets HAVE_UNLOCK_CAPABILITY to TRUE when found.

I did not study the code enough to see how it is used so I left it in
for now.

> Another thing: I suggest keeping al l Plasma related packages in a
> module of it's own. This will help keeping modules small, easy to spot
> and easier to maintain.

I moved the Plasma packages to a kde-plasma module with commit
bec2a2e10e199d6ee671ec5713bd103242e91b62.  Thanks for the feedback!

Subject: [PATCH 0/3] KDE updates
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Mon, 11 Feb 2019 16:16:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Here are some patches I worked on for the nice Guix packaging bounty:
<https://git.pantherx.org/bounty/bounty-001-guixsd-lxqt-kwin-wayland/issues/3>.
(no spoilers!)

@Hartmut, others: Should we split the KDE Plasma components into a
separate (gnu packages kde-plasma) module?

Hartmut Goebel (2):
  gnu: Add kdecoration.
  gnu: Add kscreenlocker.

Marius Bakke (1):
  gnu: KDE: Update to 5.54.0.

 gnu/packages/kde-frameworks.scm               | 341 +++++++++---------
 gnu/packages/kde.scm                          | 111 +++++-
 .../patches/kio-search-smbd-on-PATH.patch     |   2 +-
 3 files changed, 268 insertions(+), 186 deletions(-)

-- 
2.20.1